import { stemTypeList, questionNumberTypeList, scoreTypeList } from './common';

// 填空题数据模板
export const fillData = {
  type: 'fill', // 题型
  stem: '', // 题干
  file_id_list: [], // 文件 id 列表
  description: '', // 描述
  model_essay: '', // 范文
  fill_blank: [], // 填空
  answer: { score: 0, score_type: scoreTypeList[0].value }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: 1, // 题号
    is_enable_listening: true, // 是否听力
    is_enable_description: false, // 描述
    is_enable_voice_answer: false, // 语音作答
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
  },
};
