import { stemTypeList, questionNumberTypeList, scoreTypeList } from './common';

export const readAloudData = {
  type: 'fill', // 题型
  stem: '', // 题干
  answer: { score: 0, score_type: scoreTypeList[0].value, reference_answer: '' }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: 1, // 题号
    is_enable_reference_answer: true, // 参考答案
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
  },
};
